MrmCloseHierarchy(3Xm)

NAME
MrmCloseHierarchy - Closes a UID hierarchy.

SYNOPSIS
#include <Xm/Intrinsics>
#include <Mrm/MrmPublic.h>
Cardinal MrmCloseHierarchy(hierarchy_id)
MrmHierarchy hierarchy_id;

DESCRIPTION
The MrmCloseHierarchy function closes a UID hierarchy previously opened by MrmOpenHierarchy. All files associated with the hierarchy are closed by MRM and all associated memory is returned.

hierarchy_id
    Specifies the ID of a previously opened UID hierarchy. The hierarchy_id was returned in a previous call to MrmOpenHierarchy.

RETURN VALUE
This function returns one of these status return constants:

MrmSUCCESS
    The function executed successfully.

MrmFAILURE
    The function failed.

RELATED INFORMATION
MrmOpenHierarchy(3Xm)